package se.gawell.setrace.logging;

import java.util.logging.Level;

public class JavaUtilLogger implements Logger {

	private static final String UNKNOWN_CLASS = "<unknown_class>";
	private final java.util.logging.Logger logger;
	
	public JavaUtilLogger(Class<? extends Object> classToLogFor) {
		String className = UNKNOWN_CLASS;
		if (classToLogFor != null) {
			className = classToLogFor.getName();
		}
		logger = java.util.logging.Logger.getLogger(className);
	}

	@Override
	public void debug(String message, Object... parameters) {
		logger.log(Level.FINE, message, parameters);
	}

	
}
